/**
 * $Revision: 65008 $
 * $Date: 2014-01-07 13:41:19 +0800 (星期二, 07 一月 2014) $
 * $Author: chenwenxian $
 */



// 以下是拖动效果
var startX = 0,
    startY = 0,
    curPage = 0,
    curTab = 1,
    pageWidth = 0,
    pageHeight = 0,
    secHeight = 0,
    $doc = null,
    $mainCon = null,
    $foot = null,
    $pages = null,
    pagesNum = null;

var scrollPrevent = false, 
    movePrevent = false, 
    touchDown = false,
    moveTab = false;



window.play =  function(){
    document.body.addEventListener('touchstart', function (e) {
        e = e.changedTouches[0];
        onStart(e);
    });

    document.body.addEventListener('touchmove', function (e) {
        onMove(e.changedTouches[0], e);
    });

    document.body.addEventListener('touchend', function (e) {
        onEnd(e.changedTouches[0]);
    });

    var _ua = navigator.userAgent.toLowerCase(),
        downTxt = _ua.match(/iphone|ipod|ipad/ig) ? '一起玩' : '下载';

    $('.page1 .gameCon .game_down').html(downTxt);

    pageWidth = $(window).width();
    pageHeight = $(window).height();
    $doc = $('#doc');
    $mainCon = $('.main_con', $doc);
    $foot = $('.foot', $doc);
    $pages = $('section', $mainCon);
    pagesNum = $pages.size();

    $mainCon.css({
        "width": (pageWidth*pagesNum) +"px",
        "height": pageHeight +"px"
    });

    $pages.css({
        "width" : pageWidth+"px",
        "height" : pageHeight+"px"
    });

    secHeight = pageHeight * $(".container section").length;
    $doc.height(secHeight);
    //设置动画时间 
    $pages.each(function(i, e) {
        $(e).find('.ani, .ani01, .ani02, .ani05, .ani08').each(function (i, e) {
            var $ts = $(this),
                delay = $ts.data('delay');
            if(delay != ''){
                $ts.css({
                    '-moz-animation-delay' : delay+'s',
                    '-moz-animation-delay' : delay+'s',
                    '-webkit-animation-delay' : delay+'s',
                    '-o-animation-delay' : delay+'s',
                    '-ms-animation-delay' : delay+'s',
                    'animation-delay' : delay+'s'
                });
            }
        });
    });

    var hashPage = parseInt(location.hash.replace('#page', ''), 10);
    if(location.hash.indexOf('#page') >= 0){
        curPage = hashPage;
    }

    animatePage(curPage);
    $pages.eq(curPage).addClass("cur");

    //绑定事件
    $mainCon.find('#btn_start').on('touchstart', function(){
        $(this).addClass('cur');
        appBridge('startApp', '');
    });
    $mainCon.find('#btn_start').on('touchend', function(){
        $(this).removeClass('cur');
    });
    //aipai-vw://startApp
}

/*function orientationChange(){
    initPage();
}*/

function onStart (e) {
    if(movePrevent == true){
        event.preventDefault();
        return false;
    }
    touchDown = true;
    // 起始点，页面位置
    startX = e.pageX;
    startY = e.pageY;
}

function onMove (e, oe) {
    if(movePrevent == true || touchDown != true){
        event.preventDefault();
        return false;
    }
    event.preventDefault();
}

function onEnd (e) {
    if(movePrevent == true){
        event.preventDefault();
        return false;
    }

    touchDown = false;

    if(scrollPrevent==false){
        // 抬起点，页面位置
        endX = e.pageX;
        endY = e.pageY;
        // swip 事件默认大于30px才会触发，小于这个就将页面归回
        if( Math.abs(endX-startX)<=30) {
            animatePage(curPage);
        }else{
            if(endX>startX){
                prevPage();
            }else{
                nextPage();
            }
        }
    }
}
function prevPage(){
    var newPage = curPage - 1;
    animatePage(newPage, 'prev');
    
}
function nextPage(){
    var newPage = curPage + 1;
    animatePage(newPage, 'next');
}

function animatePage(newPage, type ){
    //location.hash = 'page'+newPage;
    if(newPage < 0){
        newPage = 0;
        //location.hash = 'page0';
    }
    if(newPage >= pagesNum){
        newPage = pagesNum-1;
        //location.hash = 'page'+(pagesNum-1);
    }

    curPage = newPage;

    movePrevent = true;
    setTimeout(function () {
        movePrevent = false;
    }, 200 );

    $foot.show();
    if(newPage >= pagesNum-1){
        $foot.hide();
    }
    $mainCon.animate({left: -(pageWidth*newPage)},300, 'ease-out', function () {
        $pages.eq(newPage).addClass("cur").siblings().removeClass("cur");
        $foot.find('span').removeClass('cur');
        $foot.find('span').eq(newPage).addClass('cur');
    });	
}

//app接口
function appBridge(type, data){
    var iframe = document.createElement('IFRAME');
    iframe.setAttribute('src', 'aipai-vw://'+type+'/'+data);
    document.documentElement.appendChild(iframe);
    iframe.parentNode.removeChild(iframe);
    iframe = null;   
};

//入口
$(function(){
    //setTimeout(play, 500);
});